net.corda.flows

## Class TwoPartyTradeFlow.Buyer

- FlowLogic
- - net.corda.flows.TwoPartyTradeFlow.Buyer

- Enclosing class:
    TwoPartyTradeFlow

      public static class TwoPartyTradeFlow.Buyer
      extends FlowLogic

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Buyer.RECEIVING`
    `static class` | `Buyer.SENDING_SIGNATURES`
    `static class` | `Buyer.SIGNING`
    `static class` | `Buyer.VERIFYING`
    `static class` | `Buyer.WAITING_FOR_TX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Buyer(Party otherParty, Party notary, Amount<java.util.Currency> acceptablePrice, java.lang.Class<? extends net.corda.core.contracts.OwnableState> typeToBuy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignedTransaction` | `call()` This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.
    `Amount<java.util.Currency>` | `getAcceptablePrice()`
    `Party` | `getNotary()`
    `Party` | `getOtherParty()`
    `ProgressTracker` | `getProgressTracker()` Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.
    `java.lang.Class<? extends net.corda.core.contracts.OwnableState>` | `getTypeToBuy()`

    - ### Methods inherited from class net.corda.core.flows.FlowLogic

      `call, getCounterpartyMarker, getLogger, getProgressTracker, getRunId, getServiceHub, getStateMachine, receive, send, sendAndReceive, setStateMachine, subFlow, subFlow, track, waitForLedgerCommit`

- - ### Constructor Detail

    - #### Buyer

          public Buyer(Party otherParty,
                       Party notary,
                       Amount<java.util.Currency> acceptablePrice,
                       java.lang.Class<? extends net.corda.core.contracts.OwnableState> typeToBuy)

  - ### Method Detail

    - #### getProgressTracker

          public ProgressTracker getProgressTracker()

      Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

      Note that this has to return a tracker before the flow is invoked. You can't change your mind half way through.

      See Also:
        `class ProgressTracker`

    - #### call

          public SignedTransaction call()

      This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.

    - #### getOtherParty

          public Party getOtherParty()

    - #### getNotary

          public Party getNotary()

    - #### getAcceptablePrice

          public Amount<java.util.Currency> getAcceptablePrice()

    - #### getTypeToBuy

          public java.lang.Class<? extends net.corda.core.contracts.OwnableState> getTypeToBuy()